#include <iostream>
#include <string>
#include <iomanip>

using namespace std;

int EntreeEtudiant(string &mat, int &Ea, int &Eb);

int main()
{
	int n;

	setlocale(LC_ALL, "");

	do
	{
		cout << "Entrez le nombre d'étudiants : ";
		cin >> n;
	} while (n < 0 || n > 10);

	// tableaux alloués dynamiquements aussi possible statiquement
	// const int Nmax = 10;
	// avec string TabMat[Nmax];
	string *TabMat = new string[n];
	int *TabEa = new int[n];
	int *TabEb = new int[n];
	int Moy;

	for (int i = 0; i < n; i++)
	{
		cout << "--- Etudiant " << i << " ---\n";
		Moy = EntreeEtudiant(TabMat[i], TabEa[i], TabEb[i]);
		// cout << "Entrez le matricule de l'étudiant (" << (i + 1) << ") : ";
		// cin >> TabMat[i];
		// cout << "Entrez la note Ea (" << (i + 1) << ") : ";
		// cin >> TabEa[i];
		// cout << "Entrez la note Eb (" << (i + 1) << ") : ";
		// cin >> TabEb[i];

		cout << "Somme de Ea et Eb : " << Moy << "\n";
		cout << "Moyenne de Ea et Eb : " << setprecision(2)
			 << (Moy / 2) << "\n";
	}

	// inutile car fin du programme
	// et la mémoire sera libérée par l'OS
	delete TabMat;
	delete TabEa;
	delete TabEb;
}

int EntreeEtudiant(string &mat, int &Ea, int &Eb)
{
	cout << "Entrez le matricule de l'étudiant : ";
	cin >> mat;
	cout << "Entrez la note Ea : ";
	cin >> Ea;
	cout << "Entrez la note Eb : ";
	cin >> Eb;

	return (Ea + Eb);
}